Name:           plasma-pk-updates
Version:        0.3.2
Release:        %mkrel 7
Summary:        Plasma applet for system updates using PackageKit
Group:          System/Packaging
License:        GPLv2+
URL:            https://cgit.kde.org/%{name}.git
Source0:        https://download.kde.org/stable/plasma-pk-updates/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Parts)

BuildRequires:  pkgconfig(packagekitqt5)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  appstream-util

Requires:       packagekit

%description
Plasma applet for system updates using PackageKit.


%prep
%setup -q
%autopatch -p1


%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang pkupdates --all-name


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.plasma.pkupdates.appdata.xml ||:


%files -f pkupdates.lang
%{_kf5_services}/plasma-applet-org.kde.plasma.pkupdates.desktop
%{_kf5_qmldir}/org/kde/plasma/PackageKit/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.pkupdates/
%{_kf5_metainfodir}/org.kde.plasma.pkupdates.appdata.xml


%changelog
* Wed Dec 07 2022 daviddavid <daviddavid> 0.3.2-7.mga9
+ Revision: 1918798
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.3.2-6.mga8
+ Revision: 1659421
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 0.3.2-5.mga8
+ Revision: 1588578
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 0.3.2-4.mga8
+ Revision: 1524879
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 0.3.2-3.mga7
+ Revision: 1384015
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.2-2.mga7
+ Revision: 1300307
- Mageia 7 Mass Rebuild

* Wed May 23 2018 daviddavid <daviddavid> 0.3.2-1.mga7
+ Revision: 1231909
- new version: 0.3.2
- remove merged upstream patch

* Sat Mar 24 2018 daviddavid <daviddavid> 0.3.1-4.mga7
+ Revision: 1212000
- backport upstream fixes to fix build with PackageKit-Qt 1.0.x
- rebuild for new packagekit-qt 1.0.1
+ kekepower <kekepower>
- Rebuild for new packagekit-qt

* Mon Oct 02 2017 daviddavid <daviddavid> 0.3.1-2.mga7
+ Revision: 1162453
- fix for new find_lang

* Fri Jun 16 2017 ngompa <ngompa> 0.3.1-1.mga6
+ Revision: 1107792
- Update to 0.3.1

* Wed Sep 14 2016 daviddavid <daviddavid> 0.2-11.20160307git7b484b0.mga6
+ Revision: 1052882
- update file list adding appdata file

* Fri Jun 24 2016 ngompa <ngompa> 0.2-10.20160307git7b484b0.mga6
+ Revision: 1037447
- imported package plasma-pk-updates


* Wed Jun 22 2016 Neal Gompa <ngompa13@gmail.com> - 0.2-10.20160307git7b484b0
- Port to Mageia

* Mon Mar 21 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.2-9.20160307git7b484b0
- update URL, fresh snapshot 

* Mon Mar 21 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.2-8.20160216git
- omit plasma update script (no longer needed)

* Tue Feb 16 2016 Jan Grulich <jgrulich@redhat.com> - 0.2-7.20160216git
- Update to latest git snapshot

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 29 2015 Rex Dieter <rdieter@fedoraproject.org> 0.2-5
- rebuild (PackageKit-Qt)

* Thu Oct 29 2015 Rex Dieter <rdieter@fedoraproject.org> 0.2-4
- .spec cosmetics, (explicit) Requires: PackageKit

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Tue Apr 07 2015 Jan Grulich <jgrulich@redhat.com> 0.2-1
- update to 0.2

* Mon Mar 30 2015 Rex Dieter <rdieter@fedoraproject.org> 0.1-4
- enable org.kde.plasma.pkupdates by default, except not liveimage (#1206760)

* Mon Mar 23 2015 Jan Grulich <jgrulich@redhat.com> - 0.1-3
- backport minor fixes from upstream

* Mon Mar 23 2015 Jan Grulich <jgrulich@redhat.com> - 0.1-2
- fix URL

* Wed Mar 18 2015 Jan Grulich <jgrulich@redhat.com> - 0.1-1
- Initial relase
